<section class="contact-us-container">
  <section class="split-slot contactus-slot-one">
      <app-info-content-molecule [sectionOneInfoContent]="contactUsContent">
        <section class="askus-chat">
          <div class="chat-icon"></div>
          <span>Ask Us</span>
        </section>
      </app-info-content-molecule>
      <section class="contactus-container">
        <form class="contact-us-form" [formGroup]="userDetailsForm" (ngSubmit)="onSubmitUserDetails(userDetailsForm.value)">
          <mat-form-field appearance="standard">
            <mat-label>Name</mat-label>
            <input matInput placeholder="" value="" formControlName="name" required autocomplete="off" />
            <mat-error *ngFor="let validation of validationMessages.name">
              <mat-error class="error-message" *ngIf="
                  userDetailsForm.get('name').hasError(validation.type) &&
                  (userDetailsForm.get('name').dirty ||
                    userDetailsForm.get('name').touched)
                ">{{ validation.message }}</mat-error>
            </mat-error>
          </mat-form-field>
          <mat-form-field appearance="standard">      
            <mat-label>Email</mat-label>
            <input matInput placeholder="" value="" formControlName="email" required autocomplete="off" />
            <mat-error *ngFor="let validation of validationMessages.email">
              <mat-error class="error-message" *ngIf="
                  userDetailsForm.get('email').hasError(validation.type) &&
                  (userDetailsForm.get('email').dirty ||
                    userDetailsForm.get('email').touched)
                ">{{ validation.message }}</mat-error>
            </mat-error>
          </mat-form-field>
          <mat-form-field appearance="standard">
            <mat-label>Message</mat-label>
            <textarea matInput rows="4" placeholder="" formControlName="message"
              required></textarea>
            <mat-error *ngFor="let validation of validationMessages.message">
              <mat-error class="error-message" *ngIf="
                    userDetailsForm.get('message').hasError(validation.type) &&
                    (userDetailsForm.get('message').dirty ||
                      userDetailsForm.get('message').touched)
                  ">{{ validation.message }}</mat-error>
            </mat-error>
          </mat-form-field>
          <button mat-raised-button [disabled]="!userDetailsForm.valid" class="submit-btn">
            Submit
          </button>
        </form>
      </section>
  </section>
</section>